var username = process.env.DB_USER;
var password = process.env.DB_PASSWORD;
var adminUser = process.env.ADMIN_DB_USER;
var adminPass = process.env.ADMIN_DB_PASSWORD;
var db_host = process.env.DB_HOST
var db_name = process.env.DB_NAME
var url = parse("mongodb+srv://%s:%s@%s.cluster.local/admin?replicaSet=rs0&ssl=false", adminUser,adminPass,db_host);

// uncomment to print the connection string with credetial
//printjson(url);

db = connect(url);
db = db.getSiblingDB(db_name)
printjson("starting  migration");

if (db.getUser(username) == null) {
    db.createUser(
        { user: username, pwd: password, roles: [ { role: "dbOwner", db: db_name }	]});
}

if(!db.getCollectionNames().includes("index_leases")){
    db.createCollection("index_leases")
}

db.index_leases.createIndex({ "index_path": 1 }, { unique: true });
db.index_leases.createIndex({ "is_merge": 1 });
db.index_leases.createIndex({ "lease_expiration": 1 });
db.index_leases.createIndex({ "container_id": 1 });
db.index_leases.createIndex({ "index_size": 1 });

if(!db.getCollectionNames().includes("org_sqs")){
    db.createCollection("org_sqs")
}
db.org_sqs.createIndex({ "consumer_name": 1 }, { unique: true });
db.org_sqs.createIndex({ "org_key": 1 });

if(!db.getCollectionNames().includes("index_stats")){
    db.createCollection("index_stats")
}
db.index_stats.createIndex({ "org_id": 1 }, { unique: true });

printjson("completed migration");

function parse(str) {
    var args = [].slice.call(arguments, 1),
        i = 0;

    return str.replace(/%s/g, () => args[i++]);
}
